Bug 3483 - Show number of OPAC renewals
Summary: Show number of OPAC renewals
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-02 06:53 UTC by Jane Wagner
Modified: 2012-10-26 00:51 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Renewals display screenshot (32.21 KB, image/jpeg)
2009-08-02 18:53 UTC, Chris Cormack
Details
Squashed commit (16.24 KB, patch)
2011-02-24 13:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Squashed commit (11.03 KB, patch)
2011-02-24 13:17 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Working patch (10.24 KB, patch)
2011-02-24 15:14 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:14 UTC


---- Reported by jwagner@ptfs.com 2009-08-02 18:53:57 ----

Created an attachment
Renewals display screenshot

Sponsored by Middletown Township Public Library, Middletown, NJ, USA.

On the patron record Checkout tab, the number of renewals on current checkouts will show how many renewals were done through the OPAC.

Patch sent July 26, 2009.



---- Additional Comments From jwagner@ptfs.com 2010-05-12 12:38:54 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3483





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3483 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3483
Imported an attachment (id=1346)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
The original submitter of attachment 1346 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-12-31 19:54:57 UTC
A fix for this bug can be found in the ip-bug-3483-opac-renewal-count-2010-12-31 branch at http://gitorious.org/koha-dev/koha-dev

This branch cherry-picks the functionality added in ptfs/Bug3483. I don't think I agree that this information should be displayed on the circulation screen (seems too cluttered to me).

However, the changes to Circulation.pm look like they might be valuable, although it looks like the merge may have overwritten some things improperly. It would be good if another set of eyes could check it.
Comment 2 Marcel de Rooy 2011-02-24 13:15:57 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2011-02-24 13:17:43 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2011-02-24 15:14:54 UTC
Created attachment 3206 [details] [review]
Working patch

I cherry picked this recently for testing. It works, but I'm on the fence about whether it's worth it to add more information to an already-cluttered interface.
Comment 5 Jared Camins-Esakov 2012-02-13 13:18:14 UTC
The Harley integration project has been stalled for some time.